%define        require_libdvdcss  0
%define        dirver %(echo %version | cut -d. -f1-3)

Name:          kaffeine
Version:       2.0.15
Release:       1mamba
Summary:       A Media Player for KDE
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://kaffeine.sourceforge.net
Source:        http://download.kde.org/stable/kaffeine/kaffeine-%{version}.tar.xz
Patch0:        kaffeine-1.2.2-gcc-4.7.patch
Patch1:        kaffeine-1.3.1-cmake-3.4.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libv4l-devel
BuildRequires: libvlc-devel
## AUTOBUILDREQ-END
BuildRequires: libphonon-devel
%if %require_libdvdcss
BuildRequires: libdvdcss-devel
%endif
BuildRequires: pkgconfig
Provides:      kaffeine4
Obsoletes:     kaffeine4
Provides:      libkaffeine
Obsoletes:     libkaffeine
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Kaffeine a Media Player for KDE 4.
It can load local files or URLs and supports most of the existing audio and video formats, such as AVI, MOV, WMV, DIVX, MP3, MPA, and WAV.
It also plays back CDs, DVDs, VCDs and can save screenshots in PNG, BMP, and XBM formats.
Bookmarks and playlist are available.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build
%find_lang kaffeine

#echo "InitialPreference=10" >> %{buildroot}%{_kde4_xdgappsdir}/kaffeine.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ] ; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null

%files -f kaffeine.lang
%defattr(-,root,root)
#%{_kde5_bindir}/dtvdaemon
%{_kde5_bindir}/kaffeine
%dir %{_kde5_datadir}/kaffeine
%{_kde5_datadir}/kaffeine/scanfile.dvb
%{_kde5_datadir}/profiles/kaffeine.profile.xml
%{_kde5_xdgappsdir}/org.kde.kaffeine.desktop
%{_datadir}/metainfo/org.kde.kaffeine.appdata.xml
%{_kde5_datadir}/solid/actions/kaffeine_play*.desktop
%{_kde5_icondir}/hicolor/scalable/*
%dir %{_datadir}/doc/HTML/en/kaffeine
%{_datadir}/doc/HTML/en/kaffeine/*
%lang(ca) %dir %{_datadir}/doc/HTML/ca/kaffeine
%lang(ca) %{_datadir}/doc/HTML/ca/kaffeine/*
%lang(id) %{_datadir}/doc/HTML/id/kaffeine/*
%lang(it) %{_datadir}/doc/HTML/it/kaffeine/*
%lang(nl) %dir %{_datadir}/doc/HTML/nl/kaffeine
%lang(nl) %{_datadir}/doc/HTML/nl/kaffeine/*
%lang(pt) %dir %{_datadir}/doc/HTML/pt/kaffeine
%lang(pt) %{_datadir}/doc/HTML/pt/kaffeine/*
%lang(pt_BR) %dir %{_datadir}/doc/HTML/pt_BR/kaffeine
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/kaffeine/*
%lang(sv) %dir %{_datadir}/doc/HTML/sv/kaffeine
%lang(sv) %{_datadir}/doc/HTML/sv/kaffeine/*
%lang(uk) %dir %{_datadir}/doc/HTML/uk/kaffeine
%lang(uk) %{_datadir}/doc/HTML/uk/kaffeine/*
%{_mandir}/man1/kaffeine.1*
%lang(ca) %{_mandir}/ca/man1/kaffeine.1*
%lang(id) %{_mandir}/id/man1/kaffeine.1*
%lang(it) %{_mandir}/it/man1/kaffeine.1*
%lang(nl) %{_mandir}/nl/man1/kaffeine.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kaffeine.1*
%lang(pt) %{_mandir}/pt/man1/kaffeine.1*
%lang(sv) %{_mandir}/sv/man1/kaffeine.1*
%lang(uk) %{_mandir}/uk/man1/kaffeine.1*
%doc COPYING Changelog NOTES

%changelog
* Mon May 14 2018 Automatic Build System <autodist@mambasoft.it> 2.0.15-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.13-1mamba
- update to 2.0.13

* Thu Aug 17 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12.1-1mamba
- update to 2.0.12.1

* Tue Jul 04 2017 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Automatic Build System <autodist@mambasoft.it> 2.0.9-1mamba
- automatic version update by autodist

* Tue Mar 07 2017 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sat Jun 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Thu Nov 26 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Mon Jan 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-3mamba
- remove InitialPreference to make kaffeine no longer the default player

* Mon Aug 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-2mamba
- add InitialPreference=10 in desktop file to set as preferred video player in KDE

* Mon Apr 18 2011 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Thu Sep 02 2010 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic update to 1.1 by autodist

* Sun Jun 06 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.0-5mamba
- updated to 1.0
- own %{_kde4_datadir}/kaffeine

* Wed Feb 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-4mamba
- updated to 1.0-pre3

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3mamba
- updated to -pre2

* Fri May 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2mamba
- obsolete libkaffeine

* Thu May 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0-pre1

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.8.7-3mamba
- automatic rebuild by autodist

* Thu Jul 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.7-2mamba
- path configure to fix localization support

* Tue Jul 22 2008 gil <puntogil@libero.it> 0.8.7-1mamba
- update to 0.8.7

* Mon Jan 21 2008 Aleph0 <aleph0@openmamba.org> 0.8.6-1mamba
- update to 0.8.6

* Mon Jul 30 2007 Aleph0 <aleph0@openmamba.org> 0.8.5-1mamba
- update to 0.8.5
- add new build requirement for libxcb-devel

* Thu Feb 08 2007 Aleph0 <aleph0@openmamba.org> 0.8.3-1mamba
- update to version 0.8.3 by autospec
- rebuilt with the new installation prefix /opt/kde3

* Mon Nov 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.2-1qilnx
- update to version 0.8.2 by autospec
- created subpackage lib%{name}

* Thu Aug 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.1-2qilnx
- removed x-mplayer2.desktop mimelnk now provided by kdelibs

* Mon Apr 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.1-1qilnx
- update to version 0.8.1 by autospec
- this release fixes the security issue CVE-2006-0051
- removed libfam-devel from build requirements
- removed visibility patch

* Thu Feb 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-2qilnx
- fix KDE desktop entry location

* Mon Sep 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.1-1qilnx
- update to version 0.7.1 by autospec

* Wed Aug 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.7-1qilnx
- update to version 0.7 by autospec
- added build requirements for gstreamer-plugins

* Tue Apr 05 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1qilnx
- update to version 0.6 by autospec

* Tue Mar 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.5-4qilnx
- rebuilt with `--with-xorg' configure option

* Sat Jan 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-3qilnx
- update to version 0.5

* Mon Nov 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.5-2qilnx
- update to version 0.5-rc2

* Fri Oct 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.5-1qilnx
- update to version 0.5-rc1 by autospec

* Sun Jun 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3b-1qilnx
- new version build

* Mon Mar 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.2-1qilnx
- new version rebuild

* Fri Feb 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.1-3qilnx
- rebuild using KDE 3.2.0 core libraries and headers

* Thu Jan 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.1-2qilnx
- rebuilt 

* Mon Jan 19 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.1-1qilnx
- rebuilt with the latest available version

* Mon Nov 17 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.4-1qilnx
- rebuilt with the latest stable version

* Tue Oct 07 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.4beta1-2qilnx
- removed libdvdcss as requirement

* Sun Oct 04 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.4beta1-1qilnx
- first build
